Package com.pixelmed.dicom

# Class OtherVeryLongAttribute

java.lang.Object
com.pixelmed.dicom.Attribute
com.pixelmed.dicom.OtherVeryLongAttribute

public class OtherVeryLongAttribute extends Attribute

A concrete class specializing `Attribute` for Other Very Long (OV) attributes.

Though an instance of this class may be created using its constructors, there is also a factory class, `AttributeFactory`.

See Also:
  - `Attribute`
  - `AttributeFactory`
  - `AttributeList`

## Field Summary

### Fields inherited from class com.pixelmed.dicom.Attribute

`valueLength, valueMultiplicity`

## Constructor Summary

Constructors
Constructor
Description
`OtherVeryLongAttribute(AttributeTag t)`
Construct an (empty) attribute.
`OtherVeryLongAttribute(AttributeTag t, long vl, DicomInputStream i)`
Read an attribute from an input stream.
`OtherVeryLongAttribute(AttributeTag t, Long vl, DicomInputStream i)`
Read an attribute from an input stream.

## Method Summary

Modifier and Type
Method
Description
`byte[]`
`getByteValues(boolean big)`
Get the values of this attribute as a byte array, accounting for byte ordering of values that are larger than one byte.
`long[]`
`getLongValues()`
Get the values of this attribute as a long array.
`byte[]`
`getVR()`
Get the value representation of this attribute (OV).
`void`
`removeValues()`
Remove any existing values, making the attribute empty (zero length).
`void`
`setValues(byte[] v, boolean big)`
Replace any existing values with the supplied array of byte, accounting for byte ordering of values that are larger than one byte.
`void`
`setValues(long[] v)`
Replace any existing values with the supplied array of long.
`String`
`toString(DicomDictionary dictionary)`
Dump the contents of the attribute as a human-readable string.
`void`
`write(DicomOutputStream o)`
Write the entire attribute (including values) to the output stream.

### Methods inherited from class com.pixelmed.dicom.Attribute

`addValue, addValue, addValue, addValue, addValue, addValue, addValue, getByteValues, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrDefault, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrEmptyString, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDelimitedStringValuesOrNull, getDoubleValues, getDoubleValues, getDoubleValues, getElement, getFloatValues, getFloatValues, getFloatValues, getGroup, getIntegerValues, getIntegerValues, getIntegerValues, getLengthOfBaseOfEncodedAttribute, getLengthOfEncodedValue, getLengthOfEntireEncodedAttribute, getLongValues, getLongValues, getOriginalStringValues, getPaddedVL, getShortValues, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleDoubleValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleFloatValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleIntegerValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleLongValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrDefault, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrEmptyString, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getSingleStringValueOrNull, getStringValues, getStringValues, getStringValues, getStringValues, getStringValues, getStringValues, getTag, getVL, getVM, getVRAsString, isValid, repairValues, setValue, setValue, setValue, setValue, setValue, setValue, setValue, setValues, setValues, setValues, setValues, setValues, toString, writeBase`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OtherVeryLongAttribute

public OtherVeryLongAttribute(AttributeTag t)

Construct an (empty) attribute.

Parameters:
  `t` - the tag of the attribute

### OtherVeryLongAttribute

public OtherVeryLongAttribute(AttributeTag t, long vl, DicomInputStream i) throws IOException, DicomException

Read an attribute from an input stream.

Parameters:
  `t` - the tag of the attribute
  `vl` - the value length of the attribute
  `i` - the input stream
Throws:
  `IOException`
  `DicomException`

### OtherVeryLongAttribute

public OtherVeryLongAttribute(AttributeTag t, Long vl, DicomInputStream i) throws IOException, DicomException

Read an attribute from an input stream.

Parameters:
  `t` - the tag of the attribute
  `vl` - the value length of the attribute
  `i` - the input stream
Throws:
  `IOException`
  `DicomException`

## Method Details

### write

public void write(DicomOutputStream o) throws DicomException, IOException
Description copied from class: `Attribute`

Write the entire attribute (including values) to the output stream.

Specified by:
  `write` in class `Attribute`
Parameters:
  `o` -
Throws:
  `IOException`
  `DicomException`

### toString

public String toString(DicomDictionary dictionary)
Description copied from class: `Attribute`

Dump the contents of the attribute as a human-readable string.

No new line is appended.

The result is of the form:

     (0xgggg,0xeeee) Name VR=<XX> VL=<0xnnnn> <...>

For example:

     (0x0018,0x0020) ScanningSequence VR=<CS> VL=<0x2> <GR>

Overrides:
  `toString` in class `Attribute`
Parameters:
  `dictionary` - the dictionary to use to look up the name
Returns:
  a single `String` value

### setValues

public void setValues(long[] v) throws DicomException
Description copied from class: `Attribute`
Replace any existing values with the supplied array of long.

Overrides:
  `setValues` in class `Attribute`
Parameters:
  `v` -
Throws:
  `DicomException`

### setValues

public void setValues(byte[] v, boolean big) throws DicomException
Description copied from class: `Attribute`
Replace any existing values with the supplied array of byte, accounting for byte ordering of values that are larger than one byte.

Overrides:
  `setValues` in class `Attribute`
Parameters:
  `v` -
  `big` -
Throws:
  `DicomException`

### removeValues

public void removeValues()
Description copied from class: `Attribute`

Remove any existing values, making the attribute empty (zero length).

Specified by:
  `removeValues` in class `Attribute`

### getLongValues

public long[] getLongValues() throws DicomException
Description copied from class: `Attribute`

Get the values of this attribute as a long array.

Overrides:
  `getLongValues` in class `Attribute`
Returns:
  the values as an array of long
Throws:
  `DicomException`

### getByteValues

public byte[] getByteValues(boolean big) throws DicomException
Description copied from class: `Attribute`

Get the values of this attribute as a byte array, accounting for byte ordering of values that are larger than one byte.

Overrides:
  `getByteValues` in class `Attribute`
Parameters:
  `big` -
Returns:
  the values as an array of bytes
Throws:
  `DicomException`

### getVR

public byte[] getVR()

Get the value representation of this attribute (OV).

Overrides:
  `getVR` in class `Attribute`
Returns:
  'O','V' in ASCII as a two byte array; see `ValueRepresentation`